AnyEvent::FTP::Server::UnambiguousResponseEncoder(3pm)

NAME
AnyEvent::FTP::Server::UnambiguousResponseEncoder - Server response encoder that encodes responses so they cannot be confused

VERSION
version 0.20

SYNOPSIS
 use AnyEvent::FTP::Server::UnambiguousResponseEncoder;
 my $encoder = AnyEvent::FTP::Server::UnambiguousResponseEncoder->new;
 # encode a FTP welcome message
 my $message = $encoder->encode(220, 'welcome to myftpd');

DESCRIPTION
Objects of this class are used to encode responses which are returned to the client from the server.

METHODS

  encode
 my $str = $encoder->encode( $res );
 my $str = $encoder->encode( $code, $message );

Returns the encoded message. You can pass in either a AnyEvent::FTP::Response object, or a code message pair.

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.